OpenNMS API 1.2.9

## org.opennms.netmgt.filter.parser
Class Parser

    java.lang.Object
      org.opennms.netmgt.filter.parser.Parser

public class Parser
extends java.lang.Object

Field Summary
`private static int` `ACCEPT`
`private int[]` `action`
`private static int[][][]` `actionTable`
`private TokenIndex` `converter`
`private static int` `ERROR`
`private static java.lang.String[]` `errorMessages`
`private static int[]` `errors`
`private static int[][][]` `gotoTable`
`Analysis` `ignoredTokens`
`private int` `last_line`
`private int` `last_pos`
`private int` `last_shift`
`private Token` `last_token`
`private Lexer` `lexer`
`protected Node` `node`
`private static int` `REDUCE`
`private static int` `SHIFT`
`private java.util.ListIterator` `stack`

Constructor Summary
`Parser(Lexer lexer)`

Method Summary
`protected void` `filter()`
`private int` `goTo(int index)`
`private int` `index(Switchable token)`
`(package private) Node` `new0()`
`(package private) Node` `new1()`
`(package private) Node` `new10()`
`(package private) Node` `new11()`
`(package private) Node` `new12()`
`(package private) Node` `new13()`
`(package private) Node` `new14()`
`(package private) Node` `new15()`
`(package private) Node` `new16()`
`(package private) Node` `new17()`
`(package private) Node` `new18()`
`(package private) Node` `new19()`
`(package private) Node` `new2()`
`(package private) Node` `new20()`
`(package private) Node` `new21()`
`(package private) Node` `new22()`
`(package private) Node` `new23()`
`(package private) Node` `new3()`
`(package private) Node` `new4()`
`(package private) Node` `new5()`
`(package private) Node` `new6()`
`(package private) Node` `new7()`
`(package private) Node` `new8()`
`(package private) Node` `new9()`
`Start` `parse()`
`private Node` `pop()`
`private void` `push(int state, Node node, boolean filter)`
`private int` `state()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ignoredTokens

    public final Analysis ignoredTokens

### node

    protected Node node

### lexer

    private final Lexer lexer

### stack

    private final java.util.ListIterator stack

### last_shift

    private int last_shift

### last_pos

    private int last_pos

### last_line

    private int last_line

### last_token

    private Token last_token

### converter

    private final TokenIndex converter

### action

    private final int[] action

### SHIFT

    private static final int SHIFT

See Also:
  Constant Field Values

### REDUCE

    private static final int REDUCE

See Also:
  Constant Field Values

### ACCEPT

    private static final int ACCEPT

See Also:
  Constant Field Values

### ERROR

    private static final int ERROR

See Also:
  Constant Field Values

### actionTable

    private static int[][][] actionTable

### gotoTable

    private static int[][][] gotoTable

### errorMessages

    private static java.lang.String[] errorMessages

### errors

    private static int[] errors

Constructor Detail

### Parser

    public Parser(Lexer lexer)

Method Detail

### filter

    protected void filter()
                   throws ParserException,
                          LexerException,
                          java.io.IOException

  Throws:
    `ParserException`
    `LexerException`
    `java.io.IOException`

### goTo

    private int goTo(int index)

### push

    private void push(int state,
                      Node node,
                      boolean filter)
               throws ParserException,
                      LexerException,
                      java.io.IOException

  Throws:
    `ParserException`
    `LexerException`
    `java.io.IOException`

### state

    private int state()

### pop

    private Node pop()

### index

    private int index(Switchable token)

### parse

    public Start parse()
                throws ParserException,
                       LexerException,
                       java.io.IOException

  Throws:
    `ParserException`
    `LexerException`
    `java.io.IOException`

### new0

    Node new0()

### new1

    Node new1()

### new2

    Node new2()

### new3

    Node new3()

### new4

    Node new4()

### new5

    Node new5()

### new6

    Node new6()

### new7

    Node new7()

### new8

    Node new8()

### new9

    Node new9()

### new10

    Node new10()

### new11

    Node new11()

### new12

    Node new12()

### new13

    Node new13()

### new14

    Node new14()

### new15

    Node new15()

### new16

    Node new16()

### new17

    Node new17()

### new18

    Node new18()

### new19

    Node new19()

### new20

    Node new20()

### new21

    Node new21()

### new22

    Node new22()

### new23

    Node new23()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.